@use '../../../../styles/helpers/breakpoints';

:host {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  margin: 0 1rem;
}

.search {
  display: grid;
  gap: 0.5rem;
  align-items: center;

  @include breakpoints.sm {
    grid-template-columns: 1fr 12rem;
  }
}

.search-filters {
  overflow: hidden;
}

.search-actions {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;

  @include breakpoints.sm {
    flex-direction: row;
    justify-content: end;
  }
}
